> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a matter type

> Retrieves a specified matter type.



## OpenAPI

````yaml /openapi.json get /mattertypes/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /mattertypes/{id}:
    get:
      tags:
        - Matter Types
      summary: Get a matter type
      description: Retrieves a specified matter type.
      operationId: GetMatterTypeById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: When request is successful. Returns a 'MatterType' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatterType'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When matter type with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MatterType:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the matter type.
          nullable: true
          example: 009f778f-83df-454a-b344-768a862a7e55
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 832e778f-83df-454a-b344-768a862a7e67
        name:
          type: string
          description: Name of the matter type.
          nullable: true
          example: Federal Litigation
        category:
          type: string
          description: Name of the category to which the matter type belongs.
          nullable: true
          example: Litigation
        type:
          allOf:
            - $ref: '#/components/schemas/TypeCategory'
          description: "Name of the category type to which the matter type belongs (i.e. MatterType or LeadType).\r\n            \r\nPossible values: Matter Type = 0, Lead Type = 1."
          example: 0
        representativeOptions:
          type: array
          items:
            type: string
          description: List of possible representative types for the matter type.
          nullable: true
          example:
            - Applicant
            - Respondent
        location:
          type: string
          description: State to which the matter type belongs.
          nullable: true
          example: Litigation
        isDeleted:
          type: boolean
          description: "Returns true if the matter type is deleted.\r\n\r\nDeleted matter types cannot be used when creating new leads/matters."
        items:
          type: array
          items:
            $ref: '#/components/schemas/MatterListItem'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    TypeCategory:
      enum:
        - 0
        - 1
      type: integer
      description: "Name of the category type to which the matter type belongs (i.e. MatterType or LeadType).\r\n            \r\nPossible values: Matter Type = 0, Lead Type = 1."
      format: int32
    MatterListItem:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique provider-specific identifier of the item.
          nullable: true
          example: Plaintiff
        providerId:
          type: string
          description: Provider name of the item.
          nullable: true
          example: roles_provider
        itemId:
          type: string
          description: Unique identifier of the item.
          nullable: true
          example: 009f778f-83df-454a-b344-768a862a7e55
        name:
          type: string
          description: Name of the item.
          nullable: true
          example: Claimant
        subItems:
          type: array
          items:
            $ref: '#/components/schemas/MatterListItem'
          description: List of sub items belonging to the item.
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````